This is the mail archive of the libc-alpha@sourceware.org mailing list for the glibc project.


Index Nav: [Date Index] [Subject Index] [Author Index] [Thread Index]
Message Nav: [Date Prev] [Date Next] [Thread Prev] [Thread Next]
Other format: [Raw text]

[PATCH] posix: Add SIGSEGV on the trap list for globtest.sh


This patch prevents lingering files for SIGSEGV failutes.  Checked
on x86_64.

	* posix/globtest.sh: Add SIGSEGV for the signal to act on a trap.
---
 ChangeLog         | 4 ++++
 posix/globtest.sh | 2 +-
 2 files changed, 5 insertions(+), 1 deletion(-)

diff --git a/posix/globtest.sh b/posix/globtest.sh
index f9cc80b..cb7d748 100755
--- a/posix/globtest.sh
+++ b/posix/globtest.sh
@@ -47,7 +47,7 @@ testout=${common_objpfx}posix/globtest-out
 rm -rf $testdir $testout
 mkdir $testdir
 
-trap 'chmod 777 $testdir/noread; rm -fr $testdir $testout' 1 2 3 15
+trap 'chmod 777 $testdir/noread; rm -fr $testdir $testout' HUP INT QUIT SEGV TERM
 
 echo 1 > $testdir/file1
 echo 2 > $testdir/file2
-- 
2.7.4


Index Nav: [Date Index] [Subject Index] [Author Index] [Thread Index]
Message Nav: [Date Prev] [Date Next] [Thread Prev] [Thread Next]